Description

I've noticed on a few occasions that foreman will append the hostname to an existing host/wildcard in the autosign.conf file.

History

#1 - 11/10/2009 01:27 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee set to Matt Moran

what do you mean? the same host name twice?

can you give some examples?

#2 - 11/10/2009 09:16 AM - Matt Moran

If I have a autosign.conf that already contains hosts i.e:

.test1a.local

.test1b.local

I've noticed that foreman will append a hostname on to the last line instead of creating a new line.  i.e. if building a host host1.test1c.local then the

autosign will look like

.test1a.local

.test1b.localhost1.test1c.local

I've noticed that adding a couple of blank lines below the existing hosts mitigates the issue.

#3 - 11/12/2009 12:31 PM - Ohad Levy

I cant reproduce this......  could it be that you didnt add an EOL (end of line) when you added another host?

#4 - 11/16/2009 09:07 AM - Matt Moran

Could be, though foreman should look for a new empty line before appending the host IMHO.

#5 - 07/05/2012 04:47 AM - Ohad Levy

- Status changed from Feedback to Closed
